Results 1 to 5 of 5

Thread: zypper not installing a package that is available in zypper se query

Hybrid View

  1. #1

    Default zypper not installing a package that is available in zypper se query

    Code:
    polrus:/home/polrus # zypper se apcu
    Loading repository data...
    Reading installed packages...
    
    S | Name                       | Summary                                               | Type      
    --+----------------------------+-------------------------------------------------------+-----------
      | apcupsd                    | APC UPS Daemon (Powerful Daemon for APC UPSs)         | package   
      | apcupsd                    | APC UPS Daemon (Powerful Daemon for APC UPSs)         | srcpackage
      | apcupsd-cgi                | Web interface for apcupsd                             | package   
      | apcupsd-gui                | APC UPS Monitor GUI (for APC UPSs)                    | package   
      | check_mk-agent-apcupsd     | Check_mk plugin for monitoring UPS managed by apcupsd | package   
      | check_mk-apcupsd           | Check_mk plugin monitoring UPS managed by apcupsd     | package   
      | check_mk-apcupsd           | Check_mk plugin monitoring UPS managed by apcupsd     | srcpackage
      | monitoring-plugins-apcupsd | Monitor APC Smart-UPSes using apcupsd                 | package   
      | monitoring-plugins-apcupsd | Monitor APC Smart-UPSes using apcupsd                 | srcpackage
      | php5-apcu                  | Userland caching for PHP                              | srcpackage
    
    
    polrus:/home/polrus # zypper in php5-apcu
    Loading repository data...
    Reading installed packages...
    Package 'php5-apcu' not found.
    Resolving package dependencies...
    
    Nothing to do.
    How can i install this package? Yast does not show it at all.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,674
    Blog Entries
    15

    Default Re: zypper not installing a package that is available in zypper se query

    Hi
    It's only seeing the src package not the x86_64 package..... maybe your repos need forced refreshing;
    Code:
    zypper ref -f
    It maybe the mirror your being directed to doesn't have the file, which repo is it coming from?
    Code:
    zypper lr -d
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,004

    Default Re: zypper not installing a package that is available in zypper se query

    As you can see in your list, the package php5-apcu is only found by the se function as scrpackage (source package).

    When you want to intall a source package, you have to tell zypper, because by default it tries to install packages of type package (ordinary RPM package).
    Thus you have to add
    Code:
    -t srcpackage
    to your zypper command.
    Henk van Velden

  4. #4

    Default Re: zypper not installing a package that is available in zypper se query

    Thx for Your help guys, I totally overlooked that my machine is an old 32bit and most leap repos have only 64bit binaries.
    I also confused this server with the other - I have 13.2 not leap on this particular one

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,703

    Default Re: zypper not installing a package that is available in zypper se query

    leap only come in 64 bit 32 bit has been dropped. tumbleweed is still available in32 bit

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •